Delete an initiator group
Deletes an initiator group to remove it from the storage configuration, typically when it is no longer needed for managing host access to LUNs.
HTTP method and endpoint
DELETE /protocols/san/igroups/{uuid}
Introduced in
ONTAP 9.6
Related ONTAP commands
-
lun igroup delete
Learn more
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
uuid |
string |
path |
True |
The unique identifier of the initiator group. |
allow_delete_while_mapped |
boolean |
query |
False |
Allows the deletion of a mapped initiator group. Deleting a mapped initiator group means that the LUNs, to which the initiator group is mapped, are no longer available to the initiators. This might cause a disruption in the availability of data. This parameter should be used with caution.
|
Response
Status: 200, Ok
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
1254213 |
The initiator group is mapped to one or more LUNs and |
5374852 |
The initiator group does not exist. |
Also see the table of common errors in the Response body overview section of this documentation.
| Name | Type | Description |
|---|---|---|
error |
Example error
{
"error": {
"arguments": [
{
"code": "string",
"message": "string"
}
],
"code": "4",
"message": "entry doesn't exist",
"target": "uuid"
}
}
Definitions
See Definitions
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
returned_error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |